Ming Image — テキストから画像を生成
curl --request POST \
--url https://api.novita.ai/v1/images/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": {},
"prompt": "<string>",
"output_format": "<string>",
"response_format": "<string>",
"size": "<string>",
"watermark": true
}
'import requests
url = "https://api.novita.ai/v1/images/generations"
payload = {
"model": {},
"prompt": "<string>",
"output_format": "<string>",
"response_format": "<string>",
"size": "<string>",
"watermark": True
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
model: {},
prompt: '<string>',
output_format: '<string>',
response_format: '<string>',
size: '<string>',
watermark: true
})
};
fetch('https://api.novita.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"b64_json": "<string>"
}
],
"output_format": "<string>",
"size": "<string>",
"usage": {
"input_tokens": 123,
"input_tokens_details": {
"image_tokens": 123,
"text_tokens": 123
},
"output_tokens": 123,
"total_tokens": 123,
"output_tokens_details": {
"image_tokens": 123,
"text_tokens": 123
}
},
"model": "<string>",
"id": "<string>"
}Image Generator
Ming Image — テキストから画像を生成
POST
/
v1
/
images
/
generations
Ming Image — テキストから画像を生成
Ming Image は画像生成モデルのファミリーです。
ming-image-0.1-design は、OpenAI の画像生成プロトコルを使用したテキストからの画像生成に対応しています。
ming-image-0.1-design: OpenAI の画像生成プロトコルを使用したテキストからの画像生成に対応しています。ming-image-0.1-design-layer: OpenAI の画像編集プロトコルを使用したレイヤー分離のみに対応しています(Ming Image レイヤー分離 API を参照)。
リクエストヘッダー
string
必須
対応形式:
application/jsonstring
必須
Bearer 認証の形式。例: Bearer {{API Key}}。
リクエストボディ
enum
必須
モデル名。指定可能な値:
ming-image-0.1-designstring
必須
画像の内容を表すテキスト。
string
デフォルト:"png"
出力画像の形式。
png または jpeg を指定する必要があります。string
デフォルト:"b64_json"
画像の返却形式。デフォルトは
b64_json です。指定可能な値: url、b64_json。注意: url の有効期間は 24 時間です。string
デフォルト:"auto"
出力画像のサイズ。デフォルトの
auto では、モデルに基づいて自動的に選択されます。形式: "{w}x{h}"。例: "1024x1024"。ming-image-0.1-design は 1k 以上のサイズのみに対応しています。例: "1024x1024"、"2048x2048"。boolean
デフォルト:false
AI 生成画像にウォーターマークを追加するかどうかを指定します。
true: ポリシー要件に準拠し、AI 生成画像の可視ウォーターマークと不可視のデジタルウォーターマークを有効にします。false: すべてのウォーターマークを無効にします。レスポンス
integer
必須
レスポンスが作成された時点の Unix タイムスタンプ(秒)。
string
必須
実際の出力画像形式。例:
png、jpeg。string
nullobject
必須
string
必須
実際にリクエストを処理したモデルの名前。
string
必須
このリクエストの一意の識別子。
使用例
リクエスト:
curl --location --request POST 'https://api.novita.ai/v1/images/generations' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'content-type: application/json' \
--data-raw '{
"model": "ming-image-0.1-design",
"prompt": "Generate a banana"
}'
レスポンス:
{
"created": 1789642354,
"data": [
{
"b64_json": "..."
}
],
"output_format": "png",
"size": null,
"usage": {
"input_tokens": 0,
"input_tokens_details": {
"image_tokens": 0,
"text_tokens": 0
},
"output_tokens": 16384,
"total_tokens": 16384,
"output_tokens_details": {
"image_tokens": 16384,
"text_tokens": 0
}
},
"model": "Ming-Image-0.1-Design-StressTest",
"id": "2180534417896423312485570e8523"
}
最終更新日 2026年9月21日